Rapid7 announces security certifications for Metasploit and Nexpose

Rapid7 is launching certification programs for Nexpose administrators and Metasploit Pro specialists.

“Certification enables security professionals to ensure that they are armed with the knowledge to get the most out of Rapid7’s solutions,” said Mike McKee, senior vice president of Support and Services at Rapid7.

Security professionals use Nexpose vulnerability management software to proactively scan on-premise, cloud, and virtual assets and their applications and services, providing vulnerability coverage. Integrating with Metasploit, Nexpose validates and prioritizes threats beyond industry prioritization standards, such as CVSS. This simplified vulnerability validation and prioritization creates reports and mitigation steps.

Metasploit Pro gives security professionals insight into threats being used by attackers in the wild, and the ability to test their defenses against them. By “attacking” their own systems, security professionals can understand which defenses work, what the impact of an attack might be, and how exposed they are to this risk.

Certifications will also help hiring managers identify prospective employees that will have the most impact on their security team. Security professionals who achieve their certification will strengthen their own abilities to help drive greater productivity in a shorter amount of time.